#	rules especially for the Turbo C package.

CC=tcc
AS=masm
LB=lib
CPP=cpp
LINK=tlink
MODEL=s

LIB=c:\turboc\lib
INCLUDE=c:\turboc\include

LIBS=
STDLIBFILES=$(LIB)\math$(MODEL) $(LIB)\c$(MODEL) $(LIB)\fp87 
STDOBJFILES=$(LIB)\c0$(MODEL) 


TCFLAGS=-DTURBOC -m$(MODEL) 
ASFLAGS=/E
LFLAGS=/d
CFLAGS=

.SUFFIXES: .i .com .exe .obj .asm .c .for .pas

# create response files for tlink too.
.RESPONSE_LINK:	tlink

#	ASM -> EXE using masm and tlink
.asm.exe:
	$(AS) $<;
	$(LINK) $(STDOBJFILES) $*,$*,,$(STDLIBFILES) $(LFLAGS) 
	@rm -f $*.obj

#	ASM -> OBJ using MASM
.asm.obj:
	$(AS) $<;

#	C -> ASM using tcc -S option
.c.asm:
	$(CC) $(TCFLAGS) -S $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<
	@tcod $*
	@mv $*.cod $*.asm

#	C -> COM using tcc and then exe2bin
.c.com:
	$(CC) $(TCFLAGS) $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<
	-(@exe2bin $*.exe $*.com)
	@rm -f $*.obj $*.exe

#	C -> EXE using tcc ; use this since it is faster than C -> OBJ -> EXE
.c.exe:
	$(CC) $(TCFLAGS) $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<
	@rm -fi- $*.obj

#	C -> OBJ using tcc -c option
.c.obj:
	$(CC) $(TCFLAGS) -c $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<

#	OBJ -> EXE using tcc 
.obj.exe:
	$(CC) $(TCFLAGS) $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<

#	EXE -> COM using exe2bin
.exe.com:
	exe2bin $< $*.com
	@rm -f $*.exe

#	C -> I run preprocessor only
.c.i:
	$(CPP) $(TCFLAGS) -P $(CFLAGS) -I$(INCLUDE) -L$(LIB) $(LIBS) $<

#	cleans the current directory - always needed
clean:;	@rm -f *.bak *.map *.lst

#	make makefile using mkmf interactively
